Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.xqj
Class SaxonXQDynamicContext

    java.lang.Object
      net.sf.saxon.xqj.SaxonXQDynamicContext

All Implemented Interfaces:
  XQDynamicContext

Direct Known Subclasses:
  SaxonXQExpression, SaxonXQPreparedExpression

    public abstract class SaxonXQDynamicContext

extends Object
implements XQDynamicContext

Created by IntelliJ IDEA. User: Mike Date: 15-May-2006 Time: 13:54:02 To change this template use File | Settings | File Templates.

Constructor Summary
`SaxonXQDynamicContext()`

Method Summary
`void` | `bindAtomicValue(QName varname, String value, XQItemType type)`
`void` | `bindBoolean(QName varname, boolean value, XQItemType type)`
`void` | `bindByte(QName varname, byte value, XQItemType type)`
`void` | `bindContextItem(XQItem contextitem)`
`void` | `bindDocument(QName varname, InputSource source)`
`void` | `bindDouble(QName varname, double value, XQItemType type)`
`void` | `bindFloat(QName varname, float value, XQItemType type)`
`void` | `bindInt(QName varname, int value, XQItemType type)`
`void` | `bindItem(QName varname, XQItem value)`
`void` | `bindLong(QName varname, long value, XQItemType type)`
`void` | `bindNode(QName varname, Node value, XQItemType type)`
`void` | `bindObject(QName varname, Object value, XQItemType type)`
`void` | `bindSequence(QName varname, XQSequence value)`
`void` | `bindShort(QName varname, short value, XQItemType type)`
`TimeZone` | `getImplicitTimeZone()`
`void` | `setImplicitTimeZone(TimeZone implicitTimeZone)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaxonXQDynamicContext

    public SaxonXQDynamicContext()

Method Detail

### bindAtomicValue

    public void bindAtomicValue(QName varname,
                                String value,
                                XQItemType type)
                         throws XQException

  Specified by:
    `bindAtomicValue` in interface `XQDynamicContext`
  Throws:
    `XQException`

### bindBoolean

    public void bindBoolean(QName varname,
                            boolean value,
                            XQItemType type)
                     throws XQException

  Specified by:
    `bindBoolean` in interface `XQDynamicContext`
  Throws:
    `XQException`

### bindByte

    public void bindByte(QName varname,
                         byte value,
                         XQItemType type)
                  throws XQException

  Specified by:
    `bindByte` in interface `XQDynamicContext`
  Throws:
    `XQException`

### bindContextItem

    public void bindContextItem(XQItem contextitem)
                         throws XQException

  Specified by:
    `bindContextItem` in interface `XQDynamicContext`
  Throws:
    `XQException`

### bindDocument

    public void bindDocument(QName varname,
                             InputSource source)
                      throws XQException

  Specified by:
    `bindDocument` in interface `XQDynamicContext`
  Throws:
    `XQException`

### bindDouble

    public void bindDouble(QName varname,
                           double value,
                           XQItemType type)
                    throws XQException

  Specified by:
    `bindDouble` in interface `XQDynamicContext`
  Throws:
    `XQException`

### bindFloat

    public void bindFloat(QName varname,
                          float value,
                          XQItemType type)
                   throws XQException

  Specified by:
    `bindFloat` in interface `XQDynamicContext`
  Throws:
    `XQException`

### bindInt

    public void bindInt(QName varname,
                        int value,
                        XQItemType type)
                 throws XQException

  Specified by:
    `bindInt` in interface `XQDynamicContext`
  Throws:
    `XQException`

### bindItem

    public void bindItem(QName varname,
                         XQItem value)
                  throws XQException

  Specified by:
    `bindItem` in interface `XQDynamicContext`
  Throws:
    `XQException`

### bindLong

    public void bindLong(QName varname,
                         long value,
                         XQItemType type)
                  throws XQException

  Specified by:
    `bindLong` in interface `XQDynamicContext`
  Throws:
    `XQException`

### bindNode

    public void bindNode(QName varname,
                         Node value,
                         XQItemType type)
                  throws XQException

  Specified by:
    `bindNode` in interface `XQDynamicContext`
  Throws:
    `XQException`

### bindObject

    public void bindObject(QName varname,
                           Object value,
                           XQItemType type)
                    throws XQException

  Specified by:
    `bindObject` in interface `XQDynamicContext`
  Throws:
    `XQException`

### bindSequence

    public void bindSequence(QName varname,
                             XQSequence value)
                      throws XQException

  Specified by:
    `bindSequence` in interface `XQDynamicContext`
  Throws:
    `XQException`

### bindShort

    public void bindShort(QName varname,
                          short value,
                          XQItemType type)
                   throws XQException

  Specified by:
    `bindShort` in interface `XQDynamicContext`
  Throws:
    `XQException`

### getImplicitTimeZone

    public TimeZone getImplicitTimeZone()
                                 throws XQException

  Specified by:
    `getImplicitTimeZone` in interface `XQDynamicContext`
  Throws:
    `XQException`

### setImplicitTimeZone

    public void setImplicitTimeZone(TimeZone implicitTimeZone)
                             throws XQException

  Specified by:
    `setImplicitTimeZone` in interface `XQDynamicContext`
  Throws:
    `XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.